Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Operations

Poll request status

GET /fine_tuning/sessions/{sessionId}/request/{requestId}

Poll a fine-tuning request using its request identifier. Returns HTTP 200 with status pending while processing, completed with the raw result on success, or failed with error details on failure.

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

FineTuningSessions=V1Preview

Path parameters

sessionId string required

Identifier of the fine-tuning session associated with the request.

requestId string required

Request identifier returned when the work was submitted.

Query parameters

api-version string required

The API version to use for this operation.

Responses

The request has succeeded.

Body

Content-Type: application/json
One of the following:
pending SessionFineTuning.PendingFineTuningRequest

A request that is still being processed.

status enum required

Indicates that the request has not yet completed.

pending
phase string | null

Current processing phase, when reported by the service.

completed SessionFineTuning.CompletedFineTuningRequest

A request that completed successfully.

status enum required

Indicates that the request completed successfully.

completed
result object required

Raw result payload, whose properties depend on the submitted request.

failed SessionFineTuning.FailedFineTuningRequest

A request that failed during processing.

status enum required

Indicates that the request failed.

failed
error string required

Description of the failure.

error_code string | null

Machine-readable error code, when available.

debug_ref string | null

Diagnostic reference that can be provided when requesting support.

should_retry boolean | null

Whether the service recommends retrying the failed request.

retry_after_sec number | null

Recommended delay in seconds before retrying the failed request.

Client error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Server error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Request

GET /fine_tuning/sessions/{sessionId}/request/{requestId} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026